{
        template: '${tmpl}',
                data: function() {
                        return {
                                enterprise: true,
                                radioValue1: '0',
                                radioOptions1: [
                                        {
                                                label: '企业',
                                                value: '0'
                                        },
                                        {
                                                label: '个人',
                                                value: '1'
                                        }
                                ],
                                /** */
                                imageUrl: '',
                                radioValue: '0',
                                radioShow: true,
                                radioOptions: [
                                        {
                                                label: '增值税电子普通发票',
                                                value: '0',
                                        },
                                        {
                                                label: '增值税专用发票',
                                                value: '1',
                                        },
                                ],
                                specialShow:false,
                                commonShow:false,
                                
                        }
                },
        mounted: function() {
                this.$root.hidemenu();
        },
        created: function() {

        },
        computed: {

        },
        watch: {
                /**用新val */
                radioValue(newVal, oldVal) {
                        console.log(newVal, oldVal);
                        if (newVal != oldVal) {
                                this.radioShow = !this.radioShow;
                        };
                },
                /**普通发票监听 */
                radioValue1(newVal, oldVal) {
                        console.log(newVal, oldVal);
                        if (newVal != oldVal) {
                                this.enterprise = !this.enterprise;
                        };
                }
        },
        methods: {

                /** */
                handleAvatarSuccess(res, file) {
                        this.imageUrl = URL.createObjectURL(file.raw);
                        console.log(this.imageUrl);
                },
                beforeAvatarUpload(file) {
                        const isJPG = file.type === 'image/jpeg';
                        const isPNG = file.type === 'image/png';
                        const isLt2M = file.size / 1024 / 1024 < 2;

                        if (!isJPG && !isPNG) {
                                this.$message.error('上传头像图片只能是 JPG 、PNG 格式!');
                        }
                        if (!isLt2M) {
                                this.$message.error('上传头像图片大小不能超过 2MB!');
                        }
                        return isJPG && isLt2M;
                },


                radioCheck() {
                },
                goInvoiceText(index){
                        console.log('1232');
                        this.$router.push('/mobileinvoicetext');
                },
                goEditCommonInvoie(){
                        /**普通发票 */
                        this.commonShow = true;
                        /** this.$router.push('/mobileinvoiceedit');*/
                },
                goInvoiceEditSpecial(){
                        this.specialShow = true;
                        /**this.$router.push({ path: "/mobileinvoiceeditspecial", query: {} }); */
                        
                },
                goSubmitSuccess(){
                        var id = Number(this.radioValue);
                        this.$router.push({ path: '/mobilecommoninvoice', query: { id: id } })
                },
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobileinvoicesubmit"
}
